Subject: Re: [PATCH] ci: enable EXPENSIVE for contributor builds

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 11 May 2026 09:05:55 +0200

On Mon, May 11, 2026 at 08:51:15AM +0900, Junio C Hamano wrote:
> diff --git a/ci/lib.sh b/ci/lib.sh
> index a671994bdf..4ca3ecef2c 100755
> --- a/ci/lib.sh
> +++ b/ci/lib.sh
> @@ -314,11 +314,13 @@ export DEFAULT_TEST_TARGET=prove
>  export GIT_TEST_CLONE_2GB=true
>  export SKIP_DASHED_BUILT_INS=YesPlease
>  
> -# Enable expensive tests on push builds to integration branches, but
> -# not on PR builds where the extra time is not justified for every
> -# iteration.
> +# In order to give maximum test coverage to contributor builds,
> +# preferrably even before the changes consume public review bandwidth,
> +# enable "expensive" tests for PR events.
> +# In order to catch bugs introduced at integration time by mismerges,
> +# enable the long tests for pushes to the integration branches as well.
>  case "$GITHUB_EVENT_NAME,$CI_BRANCH" in
> -push,*next*|push,*master*|push,*main*|push,*maint*)
> +pull_request,*|push,*next*|push,*master*|push,*main*|push,*maint*)
>  	export GIT_TEST_LONG=YesPlease
>  	;;
>  esac

So with this change we now run the tests for all "official" branches,
and on pull requests. Which raises the question: are there any events
that happen regularly that are excluded by this? Because if not I think
it might be sensible to just enable this unconditionally, also because
that would make jobs on GitLab CI run expensive tests, as well.

Patrick